/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.user;

import com.yiring.common.jackson.MappingSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author Jim
 * @version 0.1
 * 2022/7/13 11:36
 */

@ApiModel("UserExtensionVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserExtensionVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -2251567849918281906L;

    @ApiModelProperty(value = "性别", example = "男")
    @MappingSerialize(mapping = "0:女,1:男")
    Integer gender;

    @ApiModelProperty(value = "年龄", example = "18")
    Integer age;
}
